package io.xjar.zip;

import java.util.regex.Pattern;
import io.xjar.XEntryFilter;
import org.apache.commons.compress.archivers.zip.ZipArchiveEntry;
import io.xjar.filter.XRegexEntryFilter;

public class XZipRegexEntryFilter extends XRegexEntryFilter<ZipArchiveEntry> implements XEntryFilter<ZipArchiveEntry>
{
    public XZipRegexEntryFilter(final String regex) {
        super(regex);
    }
    
    public XZipRegexEntryFilter(final Pattern pattern) {
        super(pattern);
    }
    
    protected String toText(final ZipArchiveEntry entry) {
        return entry.getName();
    }
}
